import request from '@/utils/request'

// 查询企业电费信息汇总列表
export function listInfo(query) {
  return request({
    url: '/crmEnterpriseElectricityFeeInfo/findByPage',
    method: 'get',
    params: query
  })
}

// 查询企业电费信息汇总详细
export function getInfo(id) {
  return request({
    url: '/crmEnterpriseElectricityFeeInfo/info/' + id,
    method: 'get'
  })
}

// 新增企业电费信息汇总
export function addInfo(data) {
  return request({
    url: '/crmEnterpriseElectricityFeeInfo/info',
    method: 'post',
    data: data
  })
}

// 修改企业电费信息汇总
export function updateInfo(data) {
  return request({
    url: '/crmEnterpriseElectricityFeeInfo/info',
    method: 'put',
    data: data
  })
}

// 删除企业电费信息汇总
export function delInfo(id) {
  return request({
    url: '/crmEnterpriseElectricityFeeInfo/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delInfoBatch(ids) {
  console.log(ids);
  return request.post('/crmEnterpriseElectricityFeeInfo/delete',ids)
}

